Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695594 - Review Request: lua-binaryheap - Binary heap implementation for Lua
Summary: Review Request: lua-binaryheap - Binary heap implementation for Lua
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Špaček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1698134
TreeView+ depends on / blocked
 
Reported: 2019-04-03 11:58 UTC by Tomas Krizek
Modified: 2019-04-16 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-16 10:54:00 UTC
petr.spacek: fedora-review+


Attachments (Terms of Use)

Description Tomas Krizek 2019-04-03 11:58:04 UTC
Spec URL: https://tkrizek.fedorapeople.org/lua-binaryheap/lua-binaryheap.spec
SRPM URL: https://tkrizek.fedorapeople.org/lua-binaryheap/lua-binaryheap-0.4-1.fc29.src.rpm
Description: A Lua library implementing binary heap algorithm.
Fedora Account System Username: tkrizek

Comment 1 Tomas Krizek 2019-04-03 12:01:15 UTC
$ fedpkg --release f29 lint

/mnt/pkg/lua-binaryheap/fedora/lua-binaryheap.spec: W: no-%build-section
lua-binaryheap.src: W: no-%build-section
lua-binaryheap.noarch: W: no-documentation
lua-binaryheap-compat.noarch: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 4 warnings.

All of these can be waived. Build is not required and doc is in a separate package.

Please also note LICENSE file was added after 0.4 release in upstream, therefore it is not yet used in the spec.

Comment 2 Petr Špaček 2019-04-09 11:31:51 UTC
Yielding to more active Lua reviewers.

Comment 3 Petr Špaček 2019-04-10 10:56:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 13 files have unknown license. Detailed
     output of licensecheck in /home/vagrant/1695594-lua-
     binaryheap/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/lua,
     /usr/share/lua/5.1, /usr/share/lua/5.3
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 8 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in compat-
     lua-binaryheap
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lua-binaryheap-0.4-1.fc29.noarch.rpm
          compat-lua-binaryheap-0.4-1.fc29.noarch.rpm
          lua-binaryheap-0.4-1.fc29.src.rpm
lua-binaryheap.src: W: no-%build-section
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
compat-lua-binaryheap (rpmlib, GLIBC filtered):

lua-binaryheap (rpmlib, GLIBC filtered):



Provides
--------
compat-lua-binaryheap:
    compat-lua-binaryheap

lua-binaryheap:
    lua-binaryheap



Source checksums
----------------
https://github.com/Tieske/binaryheap.lua/archive/version_0v4/lua-binaryheap-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 10b1b6c6f2d22560f512f9896a6672ec5ae0eea1390ff8e662be1d5d9625b438
  CHECKSUM(SHA256) upstream package : 10b1b6c6f2d22560f512f9896a6672ec5ae0eea1390ff8e662be1d5d9625b438


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1695594
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2019-04-11 16:19:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/lua-binaryheap


Note You need to log in before you can comment on or make changes to this bug.